org.apache.cassandra.utils.concurrent

## Class Blocker

- java.lang.Object
- - org.apache.cassandra.utils.concurrent.Blocker

-     public class Blocker
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Blocker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ask()`
    `void` | `block(boolean block)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Blocker

          public Blocker()

  - ### Method Detail

    - #### block

          public void block(boolean block)

    - #### ask

          public void ask()

Copyright © 2018 The Apache Software Foundation